> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rhombus.community/llms.txt
> Use this file to discover all available pages before exploring further.

# Get minimal button state list

> Get basic state information for all button sensors



## OpenAPI

````yaml https://api2.rhombussystems.com/api/openapi/public.json post /api/button/getMinimalButtonStateList
openapi: 3.0.1
info:
  contact:
    email: developer@rhombussystems.com
  description: >-
    This API is for use by Rhombus customers and partners.


    ## Authentication


    All requests require two headers:

    - `x-auth-scheme` — The authentication scheme identifier. Use `api-token`
    for standard API key auth, or `partner-api-token` for partner API auth.

    - `x-auth-apikey` — Your Rhombus API key.


    Example:

    ```

    POST /api/camera/getMinimalCameraStateList

    x-auth-scheme: api-token

    x-auth-apikey: YOUR_API_KEY

    Content-Type: application/json

    ```
  title: Rhombus API
  version: '1.0'
servers:
  - description: Production Server
    url: https://api2.rhombussystems.com
security:
  - ApiKeyAuth: []
paths:
  /api/button/getMinimalButtonStateList:
    post:
      tags:
        - Button Webservice
      summary: Get minimal button state list
      description: Get basic state information for all button sensors
      operationId: getMinimalButtonStateList
      parameters:
        - description: >-
            Authentication scheme identifier. Use `api-token` for standard API
            key authentication, `partner-api-token` for partner API key
            authentication. Must be paired with the `x-auth-apikey` header
            containing your API key.
          example: api-token
          in: header
          name: x-auth-scheme
          required: true
          schema:
            type: string
            default: api-token
            enum:
              - api-token
              - api
              - partner-api-token
              - partner-api
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Button_GetMinimalButtonStatesWSRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Button_GetMinimalButtonStatesWSResponse'
          description: OK
components:
  schemas:
    Button_GetMinimalButtonStatesWSRequest:
      type: object
      description: Request to get minimal state information for all button sensors.
    Button_GetMinimalButtonStatesWSResponse:
      type: object
      description: Response containing minimal state information for all button sensors.
      properties:
        error:
          type: boolean
          nullable: true
        errorMsg:
          type: string
          nullable: true
        states:
          type: array
          description: List of minimal button state information
          items:
            $ref: '#/components/schemas/Button_MinimalButtonStateType'
          nullable: true
        warningMsg:
          type: string
          nullable: true
    Button_MinimalButtonStateType:
      type: object
      description: Minimal state information for a button sensor.
      properties:
        associatedCameras:
          type: array
          description: List of associated camera device UUIDs
          items:
            type: string
            format: DeviceFacetUuid
            description: RUUID with optional appended facet information
            example: AAAAAAAAAAAAAAAAAAAAAA.v0
            nullable: true
          nullable: true
        batteryPercent:
          type: integer
          format: int32
          description: Battery percentage of the button sensor
          example: 85
          nullable: true
        buttonEmergencyOnsiteContact:
          $ref: '#/components/schemas/EmergencyContact'
        buttonMode:
          $ref: '#/components/schemas/ButtonModeEnum'
        closestBaseStation:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        createdAtMillis:
          type: integer
          format: int64
          description: Creation timestamp in milliseconds
          example: 1640995200000
          nullable: true
        firmwareVersion:
          type: string
          description: Firmware version of the button sensor
          example: 2.1.0
          nullable: true
        floorNumber:
          type: integer
          format: int32
          description: Floor number where the button sensor is located
          example: 1
          nullable: true
        health:
          $ref: '#/components/schemas/Button_ButtonHealthEnum'
        healthDetails:
          $ref: '#/components/schemas/Button_ButtonHealthDetailsEnum'
        hwVariation:
          $ref: '#/components/schemas/HardwareVariationEnum'
        lastSeenSec:
          type: integer
          format: int64
          description: Last time the button sensor was seen in seconds
          example: 1640995200
          nullable: true
        latitude:
          type: number
          format: double
          description: Latitude coordinate of the button sensor
          example: 37.7749
          nullable: true
        locationUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        longitude:
          type: number
          format: double
          description: Longitude coordinate of the button sensor
          example: -122.4194
          nullable: true
        name:
          type: string
          description: Name of the button sensor
          example: Main Entrance Button
          nullable: true
        sensorUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        serialNumber:
          type: string
          description: Serial number of the button sensor
          example: SN123456789
          nullable: true
        signalStrength:
          type: integer
          format: int32
          description: Signal strength of the button sensor
          example: -45
          nullable: true
        subLocationsHierarchyKey:
          type: string
          format: SubLocationsHierarchyKey
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
        testModeEnabled:
          type: boolean
          description: Indicates if test mode is enabled for the button sensor
          example: false
          nullable: true
    EmergencyContact:
      type: object
      properties:
        name:
          type: string
          description: The name of the emergency contact.
          nullable: true
        phoneNumber:
          type: string
          description: The phone number for this emergency contact.
          nullable: true
      required:
        - name
        - phoneNumber
    ButtonModeEnum:
      type: string
      description: Optional button mode configuration
      enum:
        - PANIC
        - PROGRAMMABLE
        - DOORBELL
        - NONE
    Button_ButtonHealthEnum:
      type: string
      description: Health status for button sensors.
      enum:
        - GREEN
        - RED
    Button_ButtonHealthDetailsEnum:
      type: string
      description: Detailed health status for button sensors.
      enum:
        - FIRMWARE_BEHIND
        - NO_HEARTBEAT
        - NONE
    HardwareVariationEnum:
      type: string
      enum:
        - RASPBERRY_PI_3
        - CAMERA_R1
        - CAMERA_R2
        - CAMERA_R2_LONG_RANGE
        - CAMERA_R2_180
        - CAMERA_R3
        - CAMERA_R4
        - CAMERA_R100
        - CAMERA_R120
        - CAMERA_R170
        - CAMERA_R200
        - CAMERA_R500
        - CAMERA_R510
        - CAMERA_R520
        - CAMERA_R600
        - SENSOR_ASSET_TAG_T1
        - SENSOR_DOOR_D1
        - SENSOR_DOOR_D20
        - SENSOR_ENVIRONMENTAL_E1
        - SENSOR_ENVIRONMENTAL_E15
        - SENSOR_ENVIRONMENTAL_E2
        - SENSOR_MOTION_M1
        - SENSOR_MOTION_M15
        - GATEWAY_A1
        - GATEWAY_A100
        - GATEWAY_ENVIRONMENTAL_E50
        - CAMERA_R220
        - CAMERA_R230
        - CAMERA_R36S
        - CAMERA_R410
        - CAMERA_R540
        - CAMERA_R545
        - BADGE_READER_DR1
        - BADGE_READER_DR40
        - BADGE_READER_DR20
        - DOOR_CONTROLLER_DC1
        - DOOR_CONTROLLER_DC20
        - DOOR_CONTROLLER_DC10
        - ETHERNET_TESTER_ET1
        - IO_BOARD_TB1
        - BLE_BUTTON_B10
        - BLE_BUTTON_B15
        - CAMERA_THIRD_PARTY_RELAY
        - CAMERA_THIRD_PARTY_NVR
        - NVR_N100
        - CAMERA_R130
        - NVR_N500
        - CAMERA_R150
        - ROBOT_RC1
        - CAMERA_R210
        - CAMERA_R650
        - UNSPECIFIED
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Your Rhombus API key. Must be accompanied by the `x-auth-scheme` header
        set to `api-token` (or `partner-api-token` for partner endpoints).
      in: header
      name: x-auth-apikey
      type: apiKey

````